<template lang="pug">
BaseCard(title="Vacuum Pressures")
  li(key="vgrData").p-0.x-vp
    BaseModalLoader(:isLoading="loading")
    table.table.table-sm.table-hover.m-0
      thead.bg-light
        tr
          th Name
          th State (Sensor)
          th Pressure
      tbody
        tr(v-for="vgr in data")
          td {{ vgr.name }}
          td(:title="fillTitle(vgr.state)")
            .d-flex.justify-content-center
              i.fas.fa-times.text-danger.mr-2(v-if="!isStateValid(vgr.state)"
                title="Error: Bit Validity is 0")
              pre {{ getStateFromBits(vgr.state) }}
          td(v-if="$butils.isNil(vgr.pressure)") -
          td(v-else) {{ vgr.pressure | b-bigNumber }}
</template>

<script>

export { default } from './VGRVacuumPressure.vue.js';

</script>
